

<div class="container">

  <ngb-accordion>
  <ngb-panel>
    <ng-template ngbPanelTitle>
      <span>Mastering angular X Bootstrap</span>
    </ng-template>
    <ng-template ngbPanelContent>
      Some deep insights
    </ng-template>
  </ngb-panel>
  <ngb-panel>
    <ng-template ngbPanelTitle>
      <span>Some Title</span>
    </ng-template>
    <ng-template ngbPanelContent>
      Some text
    </ng-template>
  </ngb-panel>
</ngb-accordion>


    <ngb-alert>Something important</ngb-alert>

  <div class="row">
    <h1 class="col-md-12">
{{title}}
</h1>
  </div>
  <div class="row">
    <ngb-accordion class="col-md-12" [activeIds]="activeIds" type="warning" closeOthers="true" (panelChange)=panelChanged($event)>
      <ngb-panel>
        <ng-template ngbPanelTitle>
          <span>Add a Movie</span>
        </ng-template>
        <ng-template ngbPanelContent>
          <form [formGroup]="movieForm">
            <p class='error' *ngIf=!movieForm.valid>Error</p>
            <label placement="top" ngbTooltip="Title of your movie"> title </label>
            <ngb-alert [dismissible]="false" type="danger" *ngIf=!movieForm.controls.title.valid>This field is required</ngb-alert>
            <input type="text" formControlName="title" [(ngModel)]="movie.title">
            <br/>
            <label>phase</label>
            <ngb-alert [dismissible]="false" type="danger"*ngIf=!movieForm.controls.phase.valid>This field is required</ngb-alert>
            <input type="text" formControlName="phase" [(ngModel)]="movie.phase">
            <br/>
            <label>release_year</label>
            <ngb-alert [dismissible]="false" type="danger"*ngIf=!movieForm.controls.release_year.valid>This field is required</ngb-alert>
            <input type="text" formControlName="release_year" [(ngModel)]="movie.release_year">
            <br/>
            <label>running_time</label>
            <ngb-alert [dismissible]="false" type="danger"*ngIf=!movieForm.controls.running_time.valid>This field is required</ngb-alert>
            <input type="text" formControlName="running_time" [(ngModel)]="movie.running_time">
            <br/>
            <label>release_date</label>
            <ngb-alert [dismissible]="false" type="danger"*ngIf=!movieForm.controls.release_date.valid>This field is required</ngb-alert>
            <input type="text" formControlName="release_date" [(ngModel)]="movie.release_date"><br/>
            <label>budget</label>
            <ngb-alert [dismissible]="false" type="danger"*ngIf=!movieForm.controls.budget.valid>This field is required</ngb-alert>
            <input type="text" formControlName="budget" [(ngModel)]="movie.budget">
            <br/>
            <label>gross</label>
            <ngb-alert [dismissible]="false" type="danger"*ngIf=!movieForm.controls.gross.valid>This field is required</ngb-alert>
            <input type="text" formControlName="gross" [(ngModel)]="movie.gross">
            <br/>
            <label>time_stamp</label>
            <ngb-alert [dismissible]="false" type="danger"*ngIf=!movieForm.controls.time_stamp.valid>This field is required</ngb-alert>
            <input type="text" formControlName="time_stamp" [(ngModel)]="movie.time_stamp">
            <br/>
            <button (click)="submit()" type="submit">SUBMIT</button>
              </form>
            </ng-template>
          </ngb-panel>
      <ngb-panel>
        <ng-template ngbPanelTitle>
          <span>Movies</span>
        </ng-template>
        <ng-template ngbPanelContent>
          <ul>
            <li *ngFor="let movie of movies">{{movie}}</li>
          </ul>
        </ng-template>
      </ngb-panel>
    </ngb-accordion>
  </div>
</div>
